/* -*- c-basic-offset: 2 -*- */

package nwnintf.format.itp.element;

import nwnintf.format.*;
import nwnintf.format.itp.*;

public class ItpCaprefElt extends ItpElement {

  ItpEntry child_;

  public ItpCaprefElt( ItpFile f ) {
    super(f);
  }
  public void read( byte[] bytes, int eltoffset, int varnameoffset,
                    int vardataoffset, int listoffset ) {
    super.read( bytes, eltoffset, varnameoffset, vardataoffset, listoffset );

    child_ = file().entry(Prim.int32lsb( bytes, eltoffset + DATA ));
  }
  public int type() {
    return TYPE_CAPREF;
  }
  public int childData(ItpWriter w) {
    return file().indexOfEntry(child_);
  }
}
