/* -*- c-basic-offset: 2 -*- */

package nwnintf.format.itp.element;

import nwnintf.format.*;
import nwnintf.format.itp.*;

public class ItpFloat32Elt extends ItpElement {
  float value_;

  public ItpFloat32Elt( ItpFile f ) {
    super(f);
  }
  public void read( byte[] bytes, int eltoffset, int varnameoffset,
                    int vardataoffset, int listoffset ) {
    super.read( bytes, eltoffset, varnameoffset, vardataoffset, listoffset );

    value_ = Float.intBitsToFloat(Prim.int32lsb( bytes, eltoffset + DATA ));
  }
  public int type() {
    return TYPE_FLOAT32;
  }
  protected int childData(ItpWriter w) {
    return Float.floatToIntBits(value_);
  }
  
}
