/* -*- c-basic-offset: 2 -*- */

package nwnintf.format.mod;
import nwnintf.format.*;

public class ModResDesc {

  // Other offsets and sizes.
  public static int NAME = 0;
  public static int IDX  = 16;
  public static int TYPE = 20;
  public static int SIZE = 24;

  String name_;
  int idx_;
  int type_;
  
  public ModResDesc( java.io.RandomAccessFile f ) throws java.io.IOException {
    name_ = Prim.string0(f, 16);
    idx_ = Prim.int32lsb(f);
    type_ = Prim.int32lsb(f);
  }

  public ModResDesc( String name, int idx, int type ) {
    name_ = name;
    idx_ = idx;
    type_ = type;
  }

  String name() { return name_; }
  int idx() { return idx_; }
  int type() { return type_; }

  void setIdx(int idx) {
    idx_ = idx;
  }

  ResRef resRef() {
    return new ResRef( name(), type() );
  }
}
