/* -*- c-basic-offset: 2 -*- */

package nwnintf.format.mod;
import nwnintf.format.*;

public class ModResPosn {

  public static int OFFSET = 0;
  public static int RESLEN = 4;
  public static int SIZE = 8;

  int offset_;
  int size_;
  
  public ModResPosn( java.io.RandomAccessFile f ) throws java.io.IOException {
    offset_ = Prim.int32lsb(f);
    size_ = Prim.int32lsb(f);
  }

  public ModResPosn( int offset, int size ) {
    offset_ = offset;
    size_ = size;
  }

  int offset() { return offset_; }
  int size() { return size_; }

  void setOffset( int offset ) { offset_ = offset; }
  void setSize( int size ) { size_ = size; }

}
