/* -*- c-basic-offset: 2 -*- */

package nwnintf;
import java.io.*;
import nwnintf.format.mod.ModFile;
import nwnintf.format.mod.ResRef;

/**
 * Encapsulate a blueprint with a script slot and the source code string
 * to go in it.
 */

public class ScriptCode {

  String sourcecode_;
  byte[] bytecode_;
  
  /**
   * Bytecode gets filled in later.
   */
  public ScriptCode(String sourcecode)
    throws Exception {
    sourcecode_ = sourcecode;
  }

  public String getSourcecode() {
    return sourcecode_;
  }
  public void setBytecode(byte[] bytecode) {
    bytecode_ = bytecode;
  }
  public byte[] getBytecode() {
    return bytecode_;
  }

}
