/* -*- c-basic-offset: 2 -*- */

package nwnintf.format.itp.element;

import nwnintf.format.*;
import nwnintf.format.itp.*;

public class ItpInt32Elt extends ItpElement {
  private int value_;

  public ItpInt32Elt( ItpFile f ) {
    super(f);
  }
  public void read( byte[] bytes, int eltoffset, int varnameoffset,
                    int vardataoffset, int listoffset ) {
    super.read( bytes, eltoffset, varnameoffset, vardataoffset, listoffset );

    value_ = Prim.int32lsb( bytes, eltoffset + DATA );
  }
  public int type() {
    return TYPE_INT32;
  }
  protected int childData(ItpWriter w) {
    return value_;
  }
  public int value() {
    return value_;
  }
  public void setValue(int value) {
    value_ = value;
  }
}
