/* -*- c-basic-offset: 2 -*- */

package nwnintf.format.itp.element;

import nwnintf.format.*;
import nwnintf.format.itp.*;

public class ItpUint16Elt extends ItpElement {

  int value_;

  public ItpUint16Elt( ItpFile f ) {
    super(f);
  }
  public void read( byte[] bytes, int eltoffset, int varnameoffset,
                    int vardataoffset, int listoffset ) {
    super.read( bytes, eltoffset, varnameoffset, vardataoffset, listoffset );

    value_ = Prim.int32lsb( bytes, eltoffset + DATA );

  }

  public int type() {
    return TYPE_UINT16;
  }
  protected int childData(ItpWriter w) {
    return value_;
  }
}
