/* -*- c-basic-offset: 2 -*- */

package nwnintf.format.itp.element;

import nwnintf.format.*;
import nwnintf.format.itp.*;

public class ItpUint64Elt extends ItpElement {

  // Why yes, this is signed. And therefore wrong.
  private long value_;

  public ItpUint64Elt( ItpFile f ) {
    super(f);
  }
  public void read( byte[] bytes, int eltoffset, int varnameoffset,
                    int vardataoffset, int listoffset ) {
    super.read( bytes, eltoffset, varnameoffset, vardataoffset, listoffset );

    int offset = vardataoffset + Prim.int32lsb( bytes, eltoffset + DATA );

    value_ = Prim.int64lsb( bytes, offset );

  }
  public int type() {
    return TYPE_UINT64;
  }
  protected int childData(ItpWriter w) throws java.io.IOException {
    int data = w.vardata().size();
    w.vardata().writeLong(value_);
    return data;
  }
}
